<?xml version='1.0' encoding='windows-1252'?>
<!-- Copyright (c) 2004 Oracle. All rights reserved.-->
<!-- Modified
12/07/06 sandgoya - Added New Network Checks as part of refhost changes for 11g TB
03/08/06 ipall    - mereged prereq and oui rulemap.xml
06/01/04 gmanglik - compatibility and glibc
07/11/03 bpaliwal - created
-->
<RULEMAP>
  <RULESET name="RunlevelChecks" class="oracle.sysman.oip.oipc.oipcz.OipczRunlevelChecks">
    <RULE name="CheckDefaultRunlevel" method="checkDefaultRunlevel"/>
    <RULE name="CheckCurrentRunlevel" method="checkCurrentRunlevel"/>
  </RULESET>
  <RULESET name="OSChecks" class="oracle.sysman.oip.oipc.oipcz.OipczOSChecks">
    <RULE name="CertifiedVersions" method="checkCertifiedOSVersions"/>
  </RULESET>
  <RULESET name="GLIBCChecks" class="oracle.sysman.oip.oipc.oipcz.OipczGlibcChecks">
    <RULE name="CheckGLIBC" method="checkGlibc"/>
  </RULESET>
  <RULESET name="PatchesChecks" class="oracle.sysman.oip.oipc.oipcz.OipczPatchesChecks">
    <RULE name="CheckPatches" method="checkPatches"/>
  </RULESET>
  <RULESET name="PackagesChecks" class="oracle.sysman.oip.oipc.oipcz.OipczPackagesChecks">
    <RULE name="CheckPackages" method="checkPackages"/>
  </RULESET>
  <RULESET name="KernelChecks" class="oracle.sysman.oip.oipc.oipcz.OipczKernelChecks">
    <RULE name="CheckParameters" method="checkParameters"/>
  </RULESET>
  <RULESET name="SystemChecks" class="oracle.sysman.oip.oipc.oipcz.OipczSystemChecks">
    <RULE name="CheckMinCPUSpeed" method="checkMinCPUSpeed"/>
    <RULE name="CheckPhysicalMemory" method="checkPhysicalMemory"/>
    <RULE name="CheckAvailableMemory" method="checkAvailableMemory"/>
    <RULE name="CheckSwapTwicePhysicalMemory" method="checkSwapSpaceTwicePhysical"/>
    <RULE name="CheckSwapSpace" method="checkSwapSpace"/>
  </RULESET>
  <RULESET name="ServicePackChecks" class="oracle.sysman.oip.oipc.oipcz.OipczServicePackChecks">
    <RULE name="CheckServicePack" method="checkServicePack"/>
  </RULESET>
  <RULESET name="CompatibilityChecks" class="oracle.sysman.oip.oipc.oipcz.OipczCompatibilityChecks">
    <RULE name="CheckCompatibility" method="checkProductCompatibility"/>
  </RULESET>

  <RULESET name="OracleHomeChecks" class="oracle.sysman.prov.prereqs.OracleHomeChecks">
    <RULE name="CheckExistingHome" method="checkExistingHome"/>
    <RULE name="CheckHomeWritability" method="checkHomeWritability"/>
    <RULE name="CheckHomeLock" method="checkHomeLock"/>
    <RULE name="CheckIfHomeLocEmpty" method="checkIfHomeLocEmpty"/>
    <RULE name="CheckIfStateDirLocEmpty" method="checkIfStateDirLocEmpty"/>
    <RULE name="CheckIfHomeNameUnique" method="checkIfHomeNameUnique"/>
    <RULE name="CheckIfSpaceInOH" method="checkIfSpaceInOH"/>
  </RULESET>
  <RULESET name="PathCheck" class="oracle.sysman.prov.prereqs.PathChecks">
    <RULE name="CheckRemotePath" method="checkRemotePath"/>
    <RULE name="CheckLocalPath" method="checkLocalPath"/>
  </RULESET>
  <RULESET name="IASOracleHomeChecks_10.1" class="OracleHomeChecks">
    <RULE name="CheckOracleBase" method="checkOracleBase"/>
  </RULESET>
  <RULESET name="NetworkChecks" class="oracle.sysman.prov.prereqs.NetworkChecks">
    <RULE name="AreNodesAlive" method="areNodesAlive"/>
    <RULE name="AreClusterNodesAlive" method="areClusterNodesAlive"/>
    <RULE name="ArePrivateNodesAlive" method="arePrivateNodesAlive"/>
    <RULE name="AreVIPNodesAlive" method="areVIPNodesAlive"/>
    <RULE name="CheckSSH" method="checkSSH"/>
    <RULE name="CheckIfInterconnectsExist" method="checkIfInterconnectsExist"/>
    <RULE name="CheckAtLeastOnePrivatePublicInterface" method="checkAtLeastOnePrivatePublicInterface"/>
    <RULE name="CheckIPNodeNameConflict" method="checkIPNodeNameConflict"/>
    <RULE name="CheckIPPrivateNodeNameConflict" method="checkIPPrivateNodeNameConflict"/>
    <RULE name="CheckIPVIPNodeNameConflict" method="checkIPVIPNodeNameConflict"/>
    <RULE name="CheckIPClusterNodeNameConflict" method="checkIPClusterNodeNameConflict"/>
    <RULE name="CheckPrivateNodeSetup" method="checkPrivateNodeSetup"/>
    <RULE name="CheckVIPAvailability" method="checkVIPAvailability"/>
    <RULE name="CheckSSHEquivalence" method="checkSSHEquivalence"/>
    <RULE name="CheckRSHEquivalence" method="checkRSHEquivalence"/>
    <RULE name="CheckIfNodesInSameDomain" method="checkIfNodesInSameDomain"/>
    <RULE name="CheckIfClusterNodesInSameDomain" method="checkIfClusterNodesInSameDomain"/>
    <RULE name="CheckIfPrivateNodesInSameDomain" method="checkIfPrivateNodesInSameDomain"/>
    <RULE name="CheckIfVIPNodesInSameDomain" method="checkIfVIPNodesInSameDomain"/>
    <RULE name="CheckVIPPublic" method="checkVIPPublic"/>
  </RULESET>
  <RULESET name="UserInputChecks" class="oracle.sysman.prov.prereqs.UserInputChecks">
    <RULE name="CheckClustername" method="checkClustername"/>
    <RULE name="CheckSID" method="checkSID"/>
  </RULESET>

  <RULESET name="PortChecks" class="oracle.sysman.prov.prereqs.PortChecks">
    <RULE name="CheckPortAvailability" method="checkPortAvailability"/>
  </RULESET>
  <RULESET name="UserAndGroupChecks" class="oracle.sysman.prov.prereqs.UserAndGroupChecks">
    <RULE name="CheckUsersExistence" method="doUsersExist"/>
    <RULE name="CheckGroupsExistence" method="doGroupsExist"/>
    <RULE name="CheckIfUsersExistInGroups" method="doUsersExistInGroups"/>
    <RULE name="CheckIfUsersHasCorrectPrimaryGroup" method="doUsersHaveCorrectActiveGroups"/>
  </RULESET>
  <RULESET name="FileChecks" class="oracle.sysman.prov.prereqs.FileChecks">
    <RULE name="CheckFilesExistence" method="doFilesExist"/>
    <RULE name="CheckScriptExistence" method="doScriptExist"/>
    <RULE name="CheckShipHomeExistence" method="doShipHomeExist"/>
  </RULESET>
  <RULESET name="RemoteFileChecks" class="oracle.sysman.prov.prereqs.FileChecks">
    <RULE name="CheckRemoteFilesExistence" method="doFilesExistOnNodes"/>
  </RULESET>
  <RULESET name="ClusterChecks" class="oracle.sysman.prov.prereqs.ClusterChecks">
    <RULE name="CheckIfNodesInCluster" method="areNodesInCluster"/>
  </RULESET>
  <RULESET name="DiskChecks" class="oracle.sysman.prov.prereqs.DiskChecks">
    <RULE name="CheckDeviceAvailableSpace" method="checkDeviceAvailableSpace"/>
    <RULE name="CheckDeviceMountParameters" method="checkDeviceMountParameters"/>
    <RULE name="CheckRedundancy" method="checkRedundancy"/>
  </RULESET>
  <RULESET name="SharedLocChecks" class="oracle.sysman.prov.prereqs.SharedLocChecks">
    <RULE name="CheckIfLocationsShared" method="areLocationsShared"/>
  </RULESET>
  <RULESET name="ScriptChecks" class="oracle.sysman.prov.prereqs.ScriptChecks">
    <RULE name="CheckScripts" method="checkScripts"/>
  </RULESET>
  <RULESET name="RemoteDirChecks" class="oracle.sysman.prov.prereqs.DirChecks">
    <RULE name="CheckDirWritableOnNodes" method="areDirWritableOnNodes"/>
    <RULE name="CheckExistenceOfInstallBaseDirTemp" method="doDirsExistOnNodes"/>
  </RULESET>
  <RULESET name="InventoryChecks" class="oracle.sysman.prov.prereqs.InventoryChecks">
    <RULE name="CheckInventoryWritability" method="checkInventoryWritability"/>
    <RULE name="CheckInventoryLock" method="checkInventoryLock"/>
  </RULESET>
   <RULESET name="EnvironmentChecks" class="oracle.sysman.prov.prereqs.EnvironmentChecks">
    <RULE name="CheckEnvironmentVariables" method="checkEnvironmentVariables"/>
    <RULE name="CheckMKSNTInPath" method="checkMKSNTInPath"/>
    <RULE name="CheckSystem32InPath" method="checkSystem32InPath"/>
  </RULESET>
  <RULESET name="ASMInputChecks" class="oracle.sysman.prov.prereqs.ASMInputChecks">
    <RULE name="CheckASMDisksSize" method="checkASMDisksSize"/>
    <RULE name="CheckASMRedundancy" method="checkASMRedundancy"/>
    <RULE name="CheckASMDisksValidity" method="checkASMDisksValidity"/>
  </RULESET>
  <RULESET name="OCFSPackagesChecks" class="oracle.sysman.prov.prereqs.OCFSPackagesChecks">
    <RULE name="CheckOCFSPackages" method="checkPackages"/>
    <RULE name="CheckKernelModule" method="checkKernelModule"/>
  </RULESET>
  <RULESET name="CygwinChecks" class="oracle.sysman.prov.prereqs.CygwinChecks">
    <RULE name="CheckCygwinVersion" method="checkPortAvailability"/>
  </RULESET>
  <RULESET name="CygwinPkgChecks" class="oracle.sysman.prov.prereqs.CygwinPackagesChecks">
    <RULE name="CygwinPackagesChecks" method="checkCygwinPackages"/>
  </RULESET>
  <RULESET name="KernelVersionChecks" class="oracle.sysman.oip.oipc.oipcz.OipczKernelVersionChecks">
    <RULE name="CheckKernelVersion" method="checkKernelVersion"/>
  </RULESET>
  <RULESET name="ShellLimitChecks" class="oracle.sysman.oip.oipc.oipcz.OipczShellLimitChecks">
    <RULE name="CheckShellLimits" method="checkShellLimits" />
  </RULESET>  
 
</RULEMAP>


